package eu.mhsl.minecraft.bungeequeue.scheduler;

import eu.mhsl.minecraft.bungeequeue.BungeeQueue;
import net.md_5.bungee.api.ProxyServer;
import net.md_5.bungee.api.chat.ComponentBuilder;
import net.md_5.bungee.api.connection.ProxiedPlayer;

public class PlayersWaitingCheck implements Runnable {
    @Override
    public void run() {

        for(ProxiedPlayer p : BungeeQueue.queueServer.getPlayers()) {
            //check if there are players on queue but not registered by the Plugin
            if(!BungeeQueue.list.contains(p)) {
                ProxyServer.getInstance().getLogger().warning("Added missing Player " + p.getName() + " to Queue!");
                BungeeQueue.list.add(p);
            }
        }

        for(ProxiedPlayer p : BungeeQueue.list) {
            //check if players not connected anymore in queue
            if(!BungeeQueue.queueServer.getPlayers().contains(p)) {
                ProxyServer.getInstance().getLogger().warning("Removed missing Player " + p.getName() + " from Queue!");
                BungeeQueue.list.remove(p);
            }
        }

    }
}
