package eu.mhsl.minecraft.bungeequeue.scheduler;

import eu.mhsl.minecraft.bungeequeue.BungeeQueue;
import net.md_5.bungee.api.ChatColor;
import net.md_5.bungee.api.ChatMessageType;
import net.md_5.bungee.api.chat.ComponentBuilder;
import net.md_5.bungee.api.connection.ProxiedPlayer;

public class QueueInfoMessager implements Runnable {
    @Override
    public void run() {
        for(ProxiedPlayer p : BungeeQueue.list) {
            p.sendMessage(
                    ChatMessageType.ACTION_BAR,
                    new ComponentBuilder("Warteschlange platz ").color(ChatColor.DARK_GREEN)
                            .append((BungeeQueue.list.indexOf(p)+1)+"").bold(true).color(ChatColor.GREEN)
                            .append(" / ").bold(false).color(ChatColor.DARK_GREEN)
                            .append(BungeeQueue.list.size()+"").bold(true).color(ChatColor.GREEN)
                            .append(" - (").color(ChatColor.GRAY)
                            .append("" + ((BungeeQueue.list.indexOf(p) / BungeeQueue.list.size()) * 100))
                            .append("%)")
                            .create()
            );
        }
    }
}
